| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleEffector Struct Reference
[Mesh plugins]

Base interface for particle effector. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleEffector:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iParticleEffector > | Clone () const =0
| Clone this effector.
virtual void | EffectParticles (iParticleSystemBase *system, const csParticleBuffer &particleBuffer, float dt, float totalTime)=0
| Calculate effect on particles and update their velocities.

## Detailed Description

Base interface for particle effector.

A particle effector is an object which affects the movement and lifetime of particles, such as simple forces (gravity),

Definition at line 353 of file particles.h.

## Member Function Documentation

virtual csPtr<iParticleEffector> iParticleEffector::Clone | ( |  | ) | const`[pure virtual]`

Clone this effector.

virtual void iParticleEffector::EffectParticles | ( | iParticleSystemBase * | system,
|  | const csParticleBuffer & | particleBuffer,
|  | float | dt,
|  | float | totalTime |
| ) |  |  | `[pure virtual]`

Calculate effect on particles and update their velocities.

The documentation for this struct was generated from the following file:

- imesh/particles.h